/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ToolActionFieldSelectorDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolActionFieldSelectorDescription, _super);
    function ToolActionFieldSelectorDescription() {
        var _this = _super.call(this) || this;
        _this.ej = null;
        _this.el = null;
        _this.ek = null;
        _this.dz = false;
        _this.dv = null;
        _this.d0 = false;
        _this.dw = null;
        _this.d8 = 0;
        _this.d4 = 0;
        _this.d9 = 0;
        _this.d5 = 0;
        _this.d7 = 0;
        _this.d3 = 0;
        _this.ea = 0;
        _this.d6 = 0;
        return _this;
    }
    ToolActionFieldSelectorDescription.prototype.get_type = function () {
        return "ToolActionFieldSelector";
    };
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "dataSourceRef", {
        get: function () {
            return this.ej;
        },
        set: function (a) {
            this.ej = a;
            this.g("DataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "legendTargetRef", {
        get: function () {
            return this.el;
        },
        set: function (a) {
            this.el = a;
            this.g("LegendTargetRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "fieldType", {
        get: function () {
            return this.ek;
        },
        set: function (a) {
            this.ek = a;
            this.g("FieldType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "singleSelection", {
        get: function () {
            return this.dz;
        },
        set: function (a) {
            this.dz = a;
            this.g("SingleSelection");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "aggregations", {
        get: function () {
            return this.dv;
        },
        set: function (a) {
            this.dv = a;
            this.g("Aggregations");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "updateDataSource", {
        get: function () {
            return this.d0;
        },
        set: function (a) {
            this.d0 = a;
            this.g("UpdateDataSource");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "selectedAggregations", {
        get: function () {
            return this.dw;
        },
        set: function (a) {
            this.dw = a;
            this.g("SelectedAggregations");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "paddingLeft", {
        get: function () {
            return this.d8;
        },
        set: function (a) {
            this.d8 = a;
            this.g("PaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "actualPaddingLeft", {
        get: function () {
            return this.d4;
        },
        set: function (a) {
            this.d4 = a;
            this.g("ActualPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "paddingRight", {
        get: function () {
            return this.d9;
        },
        set: function (a) {
            this.d9 = a;
            this.g("PaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "actualPaddingRight", {
        get: function () {
            return this.d5;
        },
        set: function (a) {
            this.d5 = a;
            this.g("ActualPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "paddingBottom", {
        get: function () {
            return this.d7;
        },
        set: function (a) {
            this.d7 = a;
            this.g("PaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "actualPaddingBottom", {
        get: function () {
            return this.d3;
        },
        set: function (a) {
            this.d3 = a;
            this.g("ActualPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "paddingTop", {
        get: function () {
            return this.ea;
        },
        set: function (a) {
            this.ea = a;
            this.g("PaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolActionFieldSelectorDescription.prototype, "actualPaddingTop", {
        get: function () {
            return this.d6;
        },
        set: function (a) {
            this.d6 = a;
            this.g("ActualPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    ToolActionFieldSelectorDescription.$t = markType(ToolActionFieldSelectorDescription, 'ToolActionFieldSelectorDescription', ToolActionDescription.$);
    return ToolActionFieldSelectorDescription;
}(ToolActionDescription));
export { ToolActionFieldSelectorDescription };
